Search customer extra fields
Last updated
Was this helpful?
GET https://app.ecwid.com/api/v3/{storeId}/store_extrafields/customers
Request:
GET /api/v3/1003/store_extrafields/customers HTTP/1.1
Authorization: Bearer secret_token
Host: app.ecwid.comResponse:
{
"items": [
{
"key": "6r0fUGw",
"title": "Offline card ID",
"entityTypes": [
"CUSTOMERS"
],
"type": "TEXT",
"shownOnOrderDetails": false,
"linkedWithCheckoutField": false,
"createdDate": "2025-03-26 10:24:22 +0000",
"lastModifiedDate": "2025-03-26 10:24:22 +0000"
}
]
}Your app must have the following access scopes to make this request: read_customers_extrafields
All path params are required.
storeId
number
Ecwid store ID.
The Authorization header is required.
Authorization
Bearer secret_ab***cd
Access token of the application.
A JSON object with the following fields:
items
array of objects items
Detailed information about customer extra fields saved in the store settings.
key
string
Internal ID of the customer extra field.
title
string
Extra field visible at the checkout and in Ecwid admin.
entityTypes
string
Always CUSTOMERS for customer extra fields.
type
string
Extra field type that defines its functionality.
Two values are supported for customer extra fields:
text - Single-line text input. Supports placeholders and pre-defined values (default).
datetime - Customizable date and time picker in the form of a calendar widget on the checkout.
shownOnOrderDetails
boolean
Defines if the extra field should be visible on the order details page in Ecwid admin.
linkedWithCheckoutField
boolean
If true, this customer extra field is linked to a certain checkout extra field.
createdDate
string
Datetime when the extra fields was created
lastModifiedDate
string
Datetime of the latest extra field change.
Last updated
Was this helpful?
Was this helpful?
